> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# List all QC requests

> Retrieve a paginated list of all QC requests with basic metadata. Uses file_requests for document data.



## OpenAPI

````yaml /api-reference/qc/openapi.yaml get /v2/qc/requests
openapi: 3.0.0
info:
  title: QC API
  description: >-
    API for managing Quality Control checklists, requests, approving or
    rejecting requests, etc.
  version: 2.0.0
  contact:
    name: Slate API Support
    email: api-support@slate.inc
    url: https://slate.inc
servers:
  - url: https://api.slate.inc/qc
    description: Production
  - url: https://api.uat.slate.inc/qc
    description: UAT (staging)
security:
  - bearerAuth: []
paths:
  /v2/qc/requests:
    get:
      summary: List all QC requests
      description: >-
        Retrieve a paginated list of all QC requests with basic metadata. Uses
        file_requests for document data.
      parameters:
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/cursor'
        - $ref: '#/components/parameters/owner'
        - $ref: '#/components/parameters/orderDirection'
        - in: query
          name: orderBy
          description: The column to order the results by, defaults to `id`
          schema:
            type: string
            default: id
            enum:
              - id
              - createdOn
              - reviewCompletedOn
              - document.matterReference
              - document.preparedBy
              - document.preparedOn
              - document.firmId
              - document.signedOn
        - in: query
          name: filter
          description: One or more columns and their values on which to filter results
          style: deepObject
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - completed
                  - approved
                  - rejected
                  - pending
              document.matterReference:
                type: string
              document.preparedBy:
                type: string
              document.preparedOn:
                type: string
              document.firmId:
                type: string
              document.signedOn:
                type: string
              document.signedBy:
                type: string
              review.shortId:
                type: string
                description: >-
                  Filter requests by the review's human-readable short id, e.g.
                  `QC-7K3F9A`.
              checklistName:
                type: string
                description: >-
                  Filter requests by the display name of the checklist
                  associated with the request's process or review.
              checklistVersion:
                type: string
                description: >-
                  Filter requests by the version of the checklist that was
                  active when the review was created.
              reviewCompletedOn:
                type: string
                description: >-
                  Filter requests by the timestamp when the review was
                  completed.
              actor:
                type: object
                properties:
                  affiant:
                    type: string
                    description: >
                      Filter requests by actor in the affiant role (somebody who
                      was involved in the original QC process). A specific user
                      ID must be provided, either the user's own user ID or if
                      the caller has permission to view another user's requests
                      it can be another user's ID.
                  notary:
                    type: string
                    description: >
                      Filter requests by actor in the notary role (somebody who
                      was involved in the original QC process). A specific user
                      ID must be provided, either the user's own user ID or if
                      the caller has permission to view another user's requests
                      it can be another user's ID.
                  reviewee:
                    type: string
                    description: >
                      Filter requests by actor in the reviewee role (the person
                      whose document is being reviewed). A specific user ID must
                      be provided. Unlike affiant/notary, this does not count
                      toward the read-only permission requirement of specifying
                      an actor or reviewedBy.
              reviewedBy:
                type: string
                description: >
                  Filter requests by a reviewer. A specific user ID must be
                  provided, either the user's own user ID or if the caller has
                  permission to view another user's requests it can be another
                  user's ID.
              checklistType:
                type: string
                enum:
                  - quality
                  - review
                description: >
                  Filter requests to those whose associated QC process is linked
                  to a checklist of this type. Requests whose process has no
                  checklist are excluded when this filter is provided.
        - in: query
          name: notaryRequired
          description: >-
            Whether to filter requests to those requiring a notary (true) or
            just a signature (false). If empty, both types are returned.
          schema:
            type: boolean
            default: null
      responses:
        '200':
          description: A paginated list of QC requests
          content:
            application/json:
              schema:
                type: object
                properties:
                  qcRequests:
                    type: array
                    items:
                      $ref: '#/components/schemas/QCRequest'
                  pagination:
                    $ref: '#/components/schemas/Pagination'
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized or invalid permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Unexpected internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    limit:
      in: query
      name: limit
      required: false
      schema:
        type: integer
        default: 100
        minimum: 1
      description: The number of items to return per page (default 10).
    cursor:
      in: query
      name: cursor
      required: false
      schema:
        type: string
      description: The cursor for fetching the next page of results.
    owner:
      in: query
      name: owner
      required: true
      schema:
        type: string
      description: Owner to filter the results to.
    orderDirection:
      in: query
      name: orderDirection
      description: The direction to order the results by
      schema:
        type: string
        default: asc
        enum:
          - asc
          - desc
  schemas:
    QCRequest:
      type: object
      required:
        - id
        - status
        - createdOn
        - document
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the QC request
        review:
          $ref: '#/components/schemas/Review'
        createdOn:
          type: string
          format: date-time
          description: Timestamp when the QC request was created
        reviewStartedOn:
          type: string
          format: date-time
          description: Timestamp when the QC request had its review started
        reviewCompletedOn:
          type: string
          format: date-time
          description: Timestamp when the QC request had its review completed
        reviewedBy:
          type: string
          description: User ID that reviewed the QC request
        actors:
          type: array
          items:
            $ref: '#/components/schemas/QCRequestActor'
          description: >-
            Every actor (user) associated with this QC request across all roles,
            e.g. affiant, notary, reviewee.
        status:
          type: string
          enum:
            - approved
            - rejected
            - pending
        fileUrl:
          description: A URL where the file can be downloaded from
          type: string
          minLength: 1
        processName:
          type: string
          description: Display name of the associated QC process
        checklistName:
          type: string
          description: >-
            Display name of the checklist associated with the QC request's
            process, if any
        checklistVersion:
          type: string
          description: >-
            Version of the checklist that was active when the review was
            created, if any
        notes:
          type: string
          description: Notes about rework for the request
        document:
          $ref: '#/components/schemas/Document'
    Pagination:
      type: object
      properties:
        totalCount:
          type: integer
          description: Total number of templates available.
        previousCursor:
          type: string
          description: >-
            The cursor to fetch the previous page of results (empty string if
            there are no more pages).
        nextCursor:
          type: string
          description: >-
            The cursor to fetch the next page of results (empty string if there
            are no more pages).
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: A human readable error message
    Review:
      type: object
      required:
        - id
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the review
        shortId:
          type: string
          description: Human-readable identifier for the review, e.g. `QC-7K3F9A`.
    QCRequestActor:
      type: object
      required:
        - userId
        - roleId
      properties:
        userId:
          type: string
          description: User ID of the person in this role on the QC request
        roleId:
          type: string
          description: Role identifier, e.g. `affiant`, `notary`, `reviewee`
    Document:
      type: object
      required:
        - id
        - templates
      properties:
        id:
          type: string
          format: uuid
          description: The ID of the document that the QC request is for
        matterReference:
          type: string
          description: >
            The matter reference (CRID) of the matter the document belongs to.
            Absent for review requests.
        preparedBy:
          type: string
          description: The user ID for the user that prepared the document
        preparedOn:
          type: string
          format: date-time
          description: The timestamp when the document was prepared
        signedBy:
          type: string
          format: uuid
          description: The user ID for the user that signed the document
        signedOn:
          type: string
          format: date-time
          description: >-
            The timestamp when the document was signed (and notarized, if
            applicable)
        firmId:
          type: string
          description: The firm identifier that the document is assigned to
        templates:
          type: array
          items:
            $ref: '#/components/schemas/Template'
    Template:
      type: object
      required:
        - id
        - filename
        - displayName
        - signatureRequired
        - notaryRequired
      properties:
        id:
          type: string
          description: The template ID that was used to generate the document
          format: uuid
        filename:
          type: string
          description: The filename or internal reference identifier for the template
        displayName:
          type: string
          description: The user-friendly display name for the template
        signatureRequired:
          type: boolean
          description: If the template requires a signature
        notaryRequired:
          type: boolean
          description: If the template requires a notary to sign in addition to the signer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Owner-scoped bearer token. The `owner` a request is scoped to is derived
        from the token; list endpoints also take an explicit `owner` query
        parameter your token must be authorized to read.

````